---
title: Homelab update
description: I did some major renovations to my homelab this week
pubDate: 10.19.2024
---

## My homelab used to be on the floor

Yeah, you read that right, no rack here. While i don't have any pictures, because i actually was ashamed of it, my homelab used to be on the floor under my desk. With a ratsnest of wires behind all the "servers", and the heat eminating from it mimicking the scorching Norwegian summer (so not that hot lol). On a random wednesday i decided to do something about this.

### Well, what?

As i have seen time and time again on [r/homelab](https://reddit.com/r/homelab), people use proper server racks. However, i live in a 32 m² appartment (more an overgrown hotel room), so finding a small but still usable rack turned out to be a challenge. I did some research and looked at the options availible to me. Turns out getting a proper rack would be quite expensive where i live. This is for several reasons, i don't have easy access to a large van, so it had to be shipped, meaning i can't go for something used, I don't have any proper rack mount servers and getting shelves for a rack is also not cheap. Therefore, after browsing reddit for a bit, i decided to go with a Ikea [Ekenabben](https://www.ikea.com/no/no/p/ekenabben-apen-hylle-asp-hvit-10487816/).

### The pain, but in the end, glory!

I fucking hate cable managing. There is no fun in it in my opinion, it takes ages and makes it difficult to make changes. But the end result is so satisfying. I think the picture speaks for itself, cables are routed behind the legs of the rack (where applicable) and the power adapters for the mini pcs are hidden below the bottom shelf. I love this.
![](./images/homelab_revamp.jpg)

To give a super quick rundown. At the top i have my 3d printer and free space for random things (see the raspberry pi). On the shelf below there is a wireless keyboard and mouse (for debugging broken machines), a label maker (god i love that thing), 5 mini pcs used as proxmox hosts, a 24 port unmanaged gigabit switch (behind the pcs) as well as a wifi access point. On the bottom shelf i have the two most powerful proxmox hosts, and free space for future servers (i have a problem). 

If you wish to read in a bit more detail about my homelab, check out [/homelab](/homelab)

### Fin

I just wanted to share the excitement i have now, as my homelab always used to be a mess. So i hope i can finally maintain it this time (probably not xD). Thanks for reading!

![](./images/cable_management.jpg)